import { ActiveHashRecord, Queryable } from "activehashie";
import { ValidationMethods } from "./validation_methods";
export interface ValidationErrorReport<Record extends ActiveHashRecord> {
    model: Queryable<Record>;
    column?: keyof Record;
    ids?: number[];
    message: string;
}
export declare type ValidationErrorReports = Array<ValidationErrorReport<any>>;
export declare class ActiveHashValidation {
    errors: ValidationErrorReports;
    constructor();
    validate<Record extends ActiveHashRecord>(model: Queryable<Record>, validations: (v: ValidationMethods<Record>) => void): void;
    errorMessages(): string[];
}
export declare const activeHashValidation: ActiveHashValidation;
export declare const validate: <Record extends ActiveHashRecord>(model: Queryable<Record>, validations: (v: ValidationMethods<Record>) => void) => void;
